Solution - PipeManagement stops working after update if not installed correctly

Ir abajo

Solution - PipeManagement stops working after update if not installed correctly Empty Solution - PipeManagement stops working after update if not installed correctly

Mensaje  George2005 el Miér Nov 03, 2010 1:50 pm

Couple of guys in forum have reported that the PipeManagement stops working after update to MS Harmony Pack. I have met the same problem so I have tried to solve it and realized that the problem is in different locations of IRCD module & different versions od rcS.

The latest firmware version (in MS Harmony Pack) uses "/lib/modules/2.6.12.6-VENUS/updates/venus_ir_new.ko", but previous version (or work version) uses "/lib/modules/2.6.12.6-VENUS/updates/venus_ir_new.ko". Just after the upgrade PM works well but if someone restores configuration (by LG Menu) from backup which was made on previous version then the PM fails. It is caused by restoring the previous version of rcS which contains invalid IRCD module path.

The solution is either to edit IRCD module path in rcS (to "/lib/modules/2.6.12.6-VENUS/updates/venus_ir_new.ko") or create "/usr/local/etc/kernel/" directory and copy "venus_ir_new.ko" into it.

George2005

Mensajes : 112
Fecha de inscripción : 26/10/2010
Edad : 44
Localización : Olomouc - Czech Republic

Volver arriba Ir abajo

Solution - PipeManagement stops working after update if not installed correctly Empty Re: Solution - PipeManagement stops working after update if not installed correctly

Mensaje  Keltek el Miér Nov 03, 2010 3:49 pm

This issue only happen if user only flashed the new firmware and not use the LGM v104. In LGM v104 there is special feature to not overwrite system scripts if backup version number (file "version" in etc.tar in backup) is less then current version number (in custom/etc/version). I tested it and it works good. Maybe someone should retest it.

(BTW: ksakru, dva Češi se baví na španělským fóru anglicky... Wink )
Keltek
Keltek

Mensajes : 291
Fecha de inscripción : 10/03/2010
Edad : 42
Localización : Praha - Czech Republic

http://www.fozona.cz/

Volver arriba Ir abajo

Solution - PipeManagement stops working after update if not installed correctly Empty Re: Solution - PipeManagement stops working after update if not installed correctly

Mensaje  George2005 el Miér Nov 03, 2010 6:06 pm

Keltek escribió:This issue only happen if user only flashed the new firmware and not use the LGM v104. In LGM v104 there is special feature to not overwrite system scripts if backup version number (file "version" in etc.tar in backup) is less then current version number (in custom/etc/version). I tested it and it works good. Maybe someone should retest it.

(BTW: ksakru, dva Češi se baví na španělským fóru anglicky... Wink )

I am very sorry, although I flashed FW + LGM 1.04 altogether so the configuration restoring was done just by LGM v104, the rcS script was overwritten, but it was a problem of incorrect backup, not LGM.
So Keltek is right, that LGM v104 maintains version numbers and it is not possible to overwrite system scripts.

Thanks Keltek to clarify it!

George2005

Mensajes : 112
Fecha de inscripción : 26/10/2010
Edad : 44
Localización : Olomouc - Czech Republic

Volver arriba Ir abajo

Solution - PipeManagement stops working after update if not installed correctly Empty Re: Solution - PipeManagement stops working after update if not installed correctly

Mensaje  Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.